@echo off

set currentpath=%cd%
cd %~dp0
cd ..
echo %cd%

echo Installing Platform I/O Drivers...

echo =============================================
echo installing I2C driver
echo =============================================
pnputil -i -a .\Installer\PlatformInstaller\Drivers\I2C\iaioi2ce.inf

echo =============================================
echo installing GPIO driver
echo =============================================
pnputil -i -a .\Installer\PlatformInstaller\Drivers\GPIO\iaiogpioe.inf

echo =============================================
echo installing UART driver
echo =============================================
pnputil -i -a .\Installer\PlatformInstaller\Drivers\UART\iaiouart.inf

echo =============================================
echo installing VirtualGPIO driver
echo Please note that its applicable only for RVP.
echo =============================================
pnputil -i -a .\Installer\PlatformInstaller\Drivers\GpioVirtual\iaiogpiovirtual.inf

echo Platform I/O Drivers installation complete!

cd %currentpath%
